Colt 1.2.0

## cern.colt.matrix.impl
Class FormerFactory

    java.lang.Object
      cern.colt.matrix.impl.FormerFactory

    public class FormerFactory

extends java.lang.Object

Factory producing implementations of `Former` via method create(); Implementations of can use existing libraries such as corejava.PrintfFormat or corejava.Format or other. Serves to isolate the interface of String formatting from the actual implementation. If you want to plug in a different String formatting implementation, simply replace this class with your alternative.

Version:
  1.0, 21/07/00

Constructor Summary
`FormerFactory()`

Method Summary
`Former` `create(java.lang.String format)` Constructs and returns a new format instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormerFactory

    public FormerFactory()

Method Detail

### create

    public Former create(java.lang.String format)

  Constructs and returns a new format instance.

  Parameters:
    `s` - the format string following printf conventions. The string has a prefix, a format code and a suffix. The prefix and suffix become part of the formatted output. The format code directs the formatting of the (single) parameter to be formatted. The code has the following structure
    - a % (required)
    - a modifier (optional)
      +
        forces display of + for positive numbers
      0
        show leading zeroes
      -
        align left in the field
      space
        prepend a space in front of positive numbers
      #
        use "alternate" format. Add 0 or 0x for octal or hexadecimal numbers. Don't suppress trailing zeroes in general floating point format.
    - an integer denoting field width (optional)
    - a period followed by an integer denoting precision (optional)
    - a format descriptor (required)
      f
        floating point number in fixed format
      e, E
        floating point number in exponential notation (scientific format). The E format results in an uppercase E for the exponent (1.14130E+003), the e format in a lowercase e.
      g, G
        floating point number in general format (fixed format for small numbers, exponential format for large numbers). Trailing zeroes are suppressed. The G format results in an uppercase E for the exponent (if any), the g format in a lowercase e.
      d, i
        integer in decimal
      x
        integer in hexadecimal
      o
        integer in octal
      s
        string
      c
        character
  Throws:
    `java.lang.IllegalArgumentException` - if bad format

Colt 1.2.0

Jump to the Colt Homepage